> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Visits

> Returns visit counts for a form over time.



## OpenAPI

````yaml GET /forms/{formId}/analytics/visits
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /forms/{formId}/analytics/visits:
    get:
      tags:
        - Forms
      summary: Retrieve form visits
      description: Returns visit counts for a form over time.
      parameters:
        - name: formId
          in: path
          required: true
          description: The ID of the form
          schema:
            type: string
        - name: period
          in: query
          required: true
          description: Time period for the analytics data
          schema:
            type: string
            enum:
              - today
              - yesterday
              - 24h
              - 7d
              - 30d
              - 3m
              - 6m
              - 12m
              - all
      responses:
        '200':
          description: Form visits analytics
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        totalVisits:
                          type: number
                  interval:
                    type: number
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Form not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````